<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="ro">
<head>
<!-- Generated by javadoc (13) on Tue May 19 01:49:06 EEST 2020 -->
<title>business_layer</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-05-19">
<meta name="description" content="declaration: package: business_layer">
<meta name="generator" content="javadoc/PackageWriterImpl">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../script-dir/jquery-ui.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../script-dir/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../script-dir/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../script-dir/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../script-dir/jquery-3.4.1.js"></script>
<script type="text/javascript" src="../script-dir/jquery-ui.js"></script>
</head>
<body class="package-declaration">
<script type="text/javascript">var pathtoroot = "../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-use.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div class="navListSearch"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<a id="skip.navbar.top">
<!--   -->
</a>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="header">
<h1 title="Package" class="title">Package&nbsp;business_layer</h1>
</div>
<div class="contentContainer">
<section class="summary">
<ul class="blockList">
<li class="blockList">
<div class="typeSummary">
<table>
<caption><span>Interface Summary</span><span class="tabEnd">&nbsp;</span></caption>
<thead>
<tr>
<th class="colFirst" scope="col">Interface</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="IRestaurantProcessing.html" title="interface in business_layer">IRestaurantProcessing</a></th>
<td class="colLast">
<div class="block">– in aceasta interfata sunt declarate metodele de adaugare, stergere si editare a numelui/pretului unui produs, de creare si stergere a unei comenzi, de calculare a pretului total al unei comenzi si de generare a facturii pentru o comanda;</div>
</td>
</tr>
</tbody>
</table>
</div>
</li>
<li class="blockList">
<div class="typeSummary">
<table>
<caption><span>Class Summary</span><span class="tabEnd">&nbsp;</span></caption>
<thead>
<tr>
<th class="colFirst" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="BaseProduct.html" title="class in business_layer">BaseProduct</a></th>
<td class="colLast">
<div class="block">– extinde clasa MenuItem, contine un constructor si suprascrie metoda toString();</div>
</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="CompositeProduct.html" title="class in business_layer">CompositeProduct</a></th>
<td class="colLast">
<div class="block">- extinde clasa MenuItem.; aceasta contine in plus ca variabila instanta un obiect de tipul ArrayList<MenuItem> pentru stocarea produselor din care este alcatuit produsul compus (am folosit aici design pattern-ul Composite); pe langa constructor, clasa contine un getter si un setter pentru lista de produse si suprascrie metoda computePrice() din superclasa si, de asemenea, mai contine si metoda toString();</div>
</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="MenuItem.html" title="class in business_layer">MenuItem</a></th>
<td class="colLast">
<div class="block">– implementeaza interfata Serializable; contine trei variabile instanta: id-ul produsului (int), numele produsului (String) si pretul (float); clasa contine doi constructori, unul care are parametrii pentru toate variabilele instanta si celalalt contine doar parametrii pentru primele doua variabile instanta (acest constructor este creat pentru clasa CompositeProduct care nu foloseste la momentul instantierii obiectelor sale campul price, ci il calculeaza ulterior); pe langa constructori, contine metode de get si set pentru variabilele instanta si metoda computePrice();</div>
</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="Order.html" title="class in business_layer">Order</a></th>
<td class="colLast">
<div class="block">– implementeaza interfata Serializable; contine trei variabile instanta: id-ul comenzii (int), data (Date) si numarul mesei (int); pe langa constructor, clasa contine metode de get si set pentru variabilele instanta si suprascrie metodele toString(), hashCode() si equals(Object);</div>
</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="Restaurant.html" title="class in business_layer">Restaurant</a></th>
<td class="colLast">
<div class="block">– extinde Observable si implementeaza interfetele Serializable si IRestaurantProcessing; clasa contine o constanta serVUID (static final long), necesara in procesele de serializare/deserializare, o lista de obiecte de tip Observer (ArrayList<Observer>), un obiect de tipul Map<Order, ArrayList<MenuItem>> pentru maparea comenzilor intr-o structura de tip hashtable, o lista de produse pentru meniu (ArrayList<MenuItem>); pe langa constructor, clasa contine o metoda care notifica toti observerii, cate o metoda pentru generarea liniilor din tabelele pentru comenzi, respectiv meniu, metoda isWellFormed() si metode de get pentru variabilele instanta; in plus, clasa descrie corpul metodelor declarate in interfata IRestaurantProcessing;</div>
</td>
</tr>
</tbody>
</table>
</div>
</li>
</ul>
</section>
</div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-use.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
